
/* Global Styles */

* {
    font-family: 'Roboto', Arial, sans-serif;
    color: #616161;
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    box-sizing: border-box;
  }
  
  body {
    margin: 0;
  }
  
  .container {
    margin-left: 5%;
    margin-right: 5%;
    margin-top: 3%;
    background-color:#f0eeee;
  }

  .resultsContainer {
    margin: 10px;
  }

  .errorMessage {
    color: red;
  }

  .containerHeader {
    font-size: 20px;
    padding-left: 10px;
    padding-top: 10px;
  }

  /* Columns */
  .column {
    float: left;
    width: 33.33%;
    padding: 10px;
  }
  
  /* Clear floats after the columns */
  .row:after {
    content: "";
    display: table;
    clear: both;
  }
  
  /* Responsive layout */
  @media screen and (max-width: 1000px) {
    .column {
      width: 100%;
    }
  }
  
  /* Text */
  
  h1 {
    font-size: 32px;
  }

  h2 {
    font-size: 20px;
  }
  
  h1, h2 {
    font-weight: lighter;
  }
  
  p {
    font-size: 14px;
  }
  
  
  /* Hyperlink */
  
  a {
    cursor: pointer;
    color: #1976d2;
    text-decoration: none;
  }
  
  a:hover {
    opacity: 0.8;
  }

  /* Input */
  
  input {
    font-size: 14px;
    border-radius: 2px;
    padding: 8px;
    margin-bottom: 16px;
    margin-top: 10px;
    border: 1px solid #BDBDBD;
  }
  
  label {
    font-size: 12px;
    font-weight: bold;
    margin-bottom: 4px;
    display: block;
    text-transform: uppercase;
  }

  .radioOption {
    font-size: 14px;
  }

  .tickerBox {
    border: 1px solid #cc0721;
    padding: 10px;
    margin: 5px;
    width: 250px;
    font-size: 14px;
  }
  
   /* Button */
   .button, button {
    display: inline-flex;
    align-items: center;
    padding: 8px 16px;
    border-radius: 2px;
    font-size: 14px;
    cursor: pointer;
    background-color: #8a0718;
    color: white;
    border: none;
  }
  
  .button:hover, button:hover {
    opacity: 0.8;
    font-weight: normal;
  }
  
  .button:disabled, button:disabled {
    opacity: 0.5;
    cursor: auto;
  }

  
  /* Header */
  
  app-header {
    width: 100%;
    height: 68px;
    background-color: #d21932;
    padding: 16px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }
  
  app-header h1 {
    color: white;
    margin-left: 40px;
  }